Bug 1120905 - [abrt] stardict: g_realloc(): stardict killed by SIGTRAP
Summary: [abrt] stardict: g_realloc(): stardict killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: stardict
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8d694df5973687a23663070c000...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 00:59 UTC by 汪明衡
Modified: 2015-06-29 21:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:37:40 UTC


Attachments (Terms of Use)
File: backtrace (62.29 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: core_backtrace (9.45 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: dso_list (11.63 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: environ (1.52 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: maps (60.68 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: open_fds (2.10 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details
File: var_log_messages (1.91 KB, text/plain)
2014-07-18 00:59 UTC, 汪明衡
no flags Details

Description 汪明衡 2014-07-18 00:59:29 UTC
Description of problem:
searching within the definition of a word drove to the crash.

Version-Release number of selected component:
stardict-3.0.5-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        stardict
crash_function: g_realloc
executable:     /usr/bin/stardict
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 g_realloc at gmem.c:174
 #3 StarDictClient::parse_dict_result at stardict_client.cpp:1166
 #4 StarDictClient::parse at stardict_client.cpp:1272
 #5 StarDictClient::on_io_in_event at stardict_client.cpp:835
 #10 gtk_main at gtkmain.c:1257
 #11 AppCore::Init at stardict.cpp:2080

Comment 1 汪明衡 2014-07-18 00:59:35 UTC
Created attachment 918897 [details]
File: backtrace

Comment 2 汪明衡 2014-07-18 00:59:37 UTC
Created attachment 918898 [details]
File: cgroup

Comment 3 汪明衡 2014-07-18 00:59:38 UTC
Created attachment 918899 [details]
File: core_backtrace

Comment 4 汪明衡 2014-07-18 00:59:40 UTC
Created attachment 918900 [details]
File: dso_list

Comment 5 汪明衡 2014-07-18 00:59:42 UTC
Created attachment 918901 [details]
File: environ

Comment 6 汪明衡 2014-07-18 00:59:43 UTC
Created attachment 918902 [details]
File: limits

Comment 7 汪明衡 2014-07-18 00:59:47 UTC
Created attachment 918903 [details]
File: maps

Comment 8 汪明衡 2014-07-18 00:59:48 UTC
Created attachment 918904 [details]
File: open_fds

Comment 9 汪明衡 2014-07-18 00:59:50 UTC
Created attachment 918905 [details]
File: proc_pid_status

Comment 10 汪明衡 2014-07-18 00:59:51 UTC
Created attachment 918906 [details]
File: var_log_messages

Comment 11 Robin Lee 2014-07-18 02:01:00 UTC
Do you know the exact steps to reproduce this issue?

Comment 12 汪明衡 2014-07-18 04:47:23 UTC
(In reply to Robin Lee from comment #11)
> Do you know the exact steps to reproduce this issue?

It seems to be random, and I forgot to tell that online dictionaries looking up is enabled, which might contribute to the crash as if when it failed to make connection, showing error messages containing words like 'bad file descriptor' and '...socket',sorry,I can't clearly memorize them. But it just happened when I mistakenly clicked 'search' button as I mentioned early. Sometimes it will quit unexpectedly when such message dialog closed and even without bug warning. But I can't reproduce the exact bug, I tried many times, that is, double click any word to look up, and again look up another word within the definition and then click search, but this at most makes the UI frezze.

Comment 13 Robin Lee 2014-09-14 07:50:40 UTC
Upstream issue:
https://code.google.com/p/stardict-3/issues/detail?id=69

Comment 15 Fedora End Of Life 2015-05-29 12:24:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 21:37:40 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.